module Criteria where

import Proof
import CeTA
import CPS
import Reduction
--import qualified RLReduction

emptiness :: Criterion
emptiness [] = return (Just (CRProof EmptyTRS))
emptiness _  = return Nothing

{-
prlAndPcps :: String -> Int -> Criterion
prlAndPcps smt k trsR =
  compositionalPRL smt ks cr trsR
  where 
    ks = if k <= 2 then [k] else [2,k]
    cr trsC = CPS.hm11 smt k trsC 
-}{-}
prlAndPcps :: String -> Int -> Criterion
prlAndPcps smt k trsR =
  compositionalPRL smt ks cr trsR
  where 
    ks = if k <= 2 then [k] else [2,k]
    cr trsC = CPS.hm11 smt k trsC 
-}